<app-dialog-head title="Empleado"></app-dialog-head>
<form class="basic-form" [formGroup]="form">
  <div class="row">
    <!-- column -->
    <div class="col-md-6">
      <mat-form-field>
        <input matInput placeholder="Cédula" formControlName="identification" required appNumber>
        <mat-error
          *ngIf="form.controls['identification'].hasError('required') && form.controls['identification'].touched"
          class="text-danger">Este campo es obligatorio.
        </mat-error>
        <mat-error
          *ngIf="form.controls['identification'].hasError('validateidentitycard')"
          class="form-error-msg font-14">Cédula incorrecta.
        </mat-error>
        <mat-error
          *ngIf="form.controls['identification'].hasError('maxlength')"
          class="form-error-msg font-14">
          El número máximo de caracteres es
          de {{ form.controls['identification'].errors?.maxlength?.requiredLength }}
          .
        </mat-error>
      </mat-form-field>
    </div>
    <!-- column -->
    <div class="col-md-6">
      <mat-form-field>
        <input matInput placeholder="Nombres" formControlName="names" required appLetter>
        <mat-error *ngIf="form.controls['names'].hasError('required') && form.controls['names'].touched"
                   class="text-danger">Este campo es obligatorio.
        </mat-error>
      </mat-form-field>
    </div>
    <!-- column -->
    <div class="col-md-6">
      <mat-form-field>
        <input matInput placeholder="Apellidos" formControlName="surnames" required appLetter>
        <mat-error *ngIf="form.controls['surnames'].hasError('required') && form.controls['surnames'].touched"
                   class="text-danger">Este campo es obligatorio.
        </mat-error>
      </mat-form-field>
    </div>
    <!-- column -->
    <div class="col-md-6">
      <mat-form-field class="full-width">
        <input matInput placeholder="Correo electrónico" formControlName="email">
        <mat-error
          *ngIf="form.controls['email'].hasError('email')"
          class="text-danger font-14">Correo eléctronico no válido.
        </mat-error>
        <mat-error *ngIf="form.controls['email'].hasError('required') && form.controls['email'].touched"
                   class="text-danger">Este campo es obligatorio.
        </mat-error>
      </mat-form-field>
    </div>
  </div>
</form>

<div mat-dialog-actions class="pull-right">
  <button mat-button mat-raised-button color="primary" (click)="save()">Guardar</button>
  <button mat-button mat-raised-button color="warn" (click)="close()">Cancelar</button>
</div>
